お知らせ

  • 利用規約を守って投稿してください。また、よくある質問および投稿の手引きも参照してください。
  • メッセージの投稿にはアカウントが必要です。未登録の方は、ユーザ登録ページからアカウントを作成することができます。

#1 2013-08-25 14:39:40

Strike_Masa
新しいメンバ
登録日: 2013-08-25

apt-getのupgradeで、エラーとなり回避策がわかりません

apt-getのupgradeコマンドを実行すると,mysqlのアップデートに失敗してしまいます。
対応策をご提示頂けると幸いです。

OS:Ubuntu13.04

sudo apt-get upgrade実行時のメッセージは以下のとおり。

aaa@bbb:~$ sudo apt-get upgrade
[sudo] password for aaa:
パッケージリストを読み込んでいます... 完了
依存関係ツリーを作成しています
状態情報を読み取っています... 完了
以下のパッケージは保留されます:
  linux-generic linux-headers-generic linux-headers-generic-pae linux-image-generic
アップグレード: 0 個、新規インストール: 0 個、削除: 0 個、保留: 4 個。
2 個のパッケージが完全にインストールまたは削除されていません。
この操作後に追加で 0 B のディスク容量が消費されます。
続行しますか [Y/n]? y
mysql-server-5.5 (5.5.32-0ubuntu0.13.04.2) を設定しています ...
start: Job failed to start
invoke-rc.d: initscript mysql, action "start" failed.
dpkg: mysql-server-5.5 の処理中にエラーが発生しました (--configure):
サブプロセス インストール済みの post-installation スクリプト はエラー終了ステータス 1 を返しました
MaxReports にすでに達しているため、レポートは書き込まれません
                                                             dpkg: 依存関係の問題により mysql-server の 設定ができません:
mysql-server は以下に依存 (depends) します: mysql-server-5.5 ...しかし:
  パッケージ mysql-server-5.5 はまだ設定されていません。

dpkg: mysql-server の処理中にエラーが発生しました (--configure):
依存関係の問題 - 設定を見送ります
MaxReports にすでに達しているため、レポートは書き込まれません
                                                             処理中にエラーが発生しました:
mysql-server-5.5
mysql-server
E: Sub-process /usr/bin/dpkg returned an error code (1)

上記のメッセージが表示されて、更新ができません。また、mysqlを削除しようとしても、エラーとなり、
どうしようもない状態です。

ちなみに、mysqlのログは以下の情報が吐き出されていました。

130825 14:31:47 [Note] Plugin 'FEDERATED' is disabled.
130825 14:31:47 InnoDB: The InnoDB memory heap is disabled
130825 14:31:47 InnoDB: Mutexes and rw_locks use GCC atomic builtins
130825 14:31:47 InnoDB: Compressed tables use zlib 1.2.7
130825 14:31:47 InnoDB: Using Linux native AIO
130825 14:31:47 InnoDB: Initializing buffer pool, size = 128.0M
130825 14:31:47 InnoDB: Completed initialization of buffer pool
130825 14:31:47 InnoDB: highest supported file format is Barracuda.
130825 14:31:47  InnoDB: Waiting for the background threads to start
130825 14:31:48 InnoDB: 5.5.32 started; log sequence number 1589379
130825 14:31:48  InnoDB: Starting shutdown...
130825 14:31:49  InnoDB: Shutdown completed; log sequence number 1589379
130825 14:31:49 [Note] Plugin 'FEDERATED' is disabled.
130825 14:31:49 InnoDB: The InnoDB memory heap is disabled
130825 14:31:49 InnoDB: Mutexes and rw_locks use GCC atomic builtins
130825 14:31:49 InnoDB: Compressed tables use zlib 1.2.7
130825 14:31:49 InnoDB: Using Linux native AIO
130825 14:31:49 InnoDB: Initializing buffer pool, size = 128.0M
130825 14:31:50 InnoDB: Completed initialization of buffer pool
130825 14:31:50 InnoDB: highest supported file format is Barracuda.
130825 14:31:50  InnoDB: Waiting for the background threads to start
130825 14:31:51 InnoDB: 5.5.32 started; log sequence number 1589379
ERROR: 1050  Table 'plugin' already exists
130825 14:31:51 [ERROR] Aborting

130825 14:31:51  InnoDB: Starting shutdown...
130825 14:31:52  InnoDB: Shutdown completed; log sequence number 1589379
130825 14:31:52 [Note] /usr/sbin/mysqld: Shutdown complete

mysqlを使用し、wordpressを動作させています。

以上、関係しそうな情報を貼り付けましたが、その他必要な情報があれば指摘ください。

よろしくお願いいたします。

オフライン

 

#2 2013-10-17 09:09:21

koisan1949
メンバ
From: Hyogo, Japan
登録日: 2007-11-11

Re: apt-getのupgradeで、エラーとなり回避策がわかりません

コメントがない様なので、もう遅いとは思います。(再インストールされたかな?)
Ubuntu12.04LTSですが、似たような症状で戸惑った経験があります。

下記のコマンドを何回か繰り返したら、いつの間にか症状が回避されました。
よって、正確な回答とは言えないです。(コマンドの実行順番もうろ覚えです。)
参考程度と考えてください。

> sudo apt-get clean
> sudo rm /var/chche/apt/archives/lock
> sudo rm /var/lib/apt/list/lock
> sudo rm /var/lib/dpkg/lock
> sudo apt-get -f install
> sudo dpkg --configure -a
> sudo apt-get update
> sudo apt-get upgrade

オフライン

 

#3 2013-10-17 09:13:43

koisan1949
メンバ
From: Hyogo, Japan
登録日: 2007-11-11

Re: apt-getのupgradeで、エラーとなり回避策がわかりません

申し訳ないです。コマンドの2行目がミスタイプです。


 > sudo rm /var/chche/apt/archives/lock

 > sudo rm /var/cache/apt/archives/lock

オフライン

 

#4 2013-12-22 00:28:52

zakathink
新しいメンバ
登録日: 2013-12-22

Re: apt-getのupgradeで、エラーとなり回避策がわかりません

こちら、似たような状況になりました。

私の場合は、Mysqlのインストール時に発生しました。

OS:Ubuntu13.10

インストールから、同じエラーが発生し、その後

sudo apt-get clean
sudo apt-get install mysql-server

にて、エラー回避出来ました。

調べた所、海外のフォーラムにあるこちらが最も近いようです。
http://ubuntuforums.org/showthread.php?t=1892646&p=11525596#post11525596

再度インストールするときの順番が重要みたいです。
フォーラムでは削除などをしているようですが、私は削除せず、そのまま再度インストールコマンドで行けました。

だいぶ遅い投稿で申し訳ありませんが、同様のエラーの方の参考になれば・・・。

オフライン

 

Board footer

Powered by FluxBB